local _, addon = ...
local _, addon = ...
addon.data.tactic["Sprocketmonger Lockenstock"] = {
    {
        lfr = {
            summary = "Boj proti Lockenstockovi probíhá ve dvou fázích. V první fázi aktivuje své vynálezy a hráči se musí vyhýbat jejich efektům, zatímco boss získává energii. Po dosažení 100 energie přejde do druhé fáze, kde upgraduje své vynálezy pomocí temné energie a způsobuje výrazně vyšší poškození. DPS musí eliminovat nebezpečné cíle, tankové udržet bosse pod kontrolou a healeři zvládnout silné raid-wide poškození.",
            tank = {
                {
                    name = "Gravi-Gunk",
                    phase = 1,
                    description = "Zásahy bosse aplikují stackující debuff, který zvyšuje utržené poškození a snižuje rychlost pohybu.",
                    howTo = "Provádět tank swapy při vyšším počtu stacků, používat defenzivní cooldowny na vysokých stackech.",
                    dangerous = "Vysoké stacky znamenají smrt, příliš pomalý tank swap může vést k wipe!"
                },
                {
                    name = "Pyro Party Pack",
                    phase = 1,
                    description = "Tank obdrží výbušný balíček, který exploduje po 6 sekundách a způsobí masivní poškození celému raidu. Poškození se snižuje se vzdáleností od výbuchu.",
                    howTo = "Utéct co nejdál od raidu těsně před explozí.",
                    dangerous = "Špatné umístění výbuchu může vyhladit celý raid!"
                },
            },
            heal = {
                {
                    name = "Sonic Ba-Boom",
                    phase = 1,
                    description = "Boss způsobí plošné poškození všem hráčům a aplikuje DoT efekt.",
                    howTo = "Použít raid-wide healing cooldowny a rychle dispellovat.",
                    dangerous = "Neřešená DoT může být smrtící při kombinaci s jinými mechanikami!"
                },
                {
                    name = "Voidsplosion",
                    phase = 2,
                    description = "Voidová exploze způsobí masivní poškození celému raidu a absorbuje léčbu.",
                    howTo = "Připravit raid-wide healing cooldowny a rychle překonat absorpci léčby.",
                    dangerous = "Nízké zdraví hráčů při explozi znamená wipe!"
                },
            },
            dps = {
                {
                    name = "Wire Transfer",
                    phase = 1,
                    description = "Část podlahy se nabije elektřinou, způsobuje velké poškození hráčům, kteří v ní stojí, a snižuje jejich rychlost pohybu.",
                    howTo = "Vyhýbat se elektrifikovaným zónám, sledovat své postavení.",
                    dangerous = "Pobyt v elektrifikované oblasti může rychle vést ke smrti!"
                },
                {
                    name = "Beta Launch",
                    phase = 2,
                    description = "Při dosažení 100 energie Lockenstock upgraduje své vynálezy a zvyšuje jejich poškození.",
                    howTo = "Zaměřit se na nové hrozby a eliminovat vylepšené vynálezy co nejrychleji.",
                    dangerous = "Ignorování posílených vynálezů znamená wipe!"
                },
            }
        },
    }
}
addon.data.tactic["The Geargrinder"] = {
    {
        lfr = {
            summary = "Geargrinder encounter probíhá ve dvou fázích. V první fázi je boss chráněn Protective Plating a přivolává bikery, kteří mu pomáhají. Hráči musí porazit bikery a použít jejich motorky k odstranění Protective Plating. Po jeho odstranění boss vstupuje do Mechanical Breakdown, kde je zranitelný, ale snaží se opravit. DPS musí eliminovat opraváře, tankové udržet bosse a healeři zvládnout silné raid-wide poškození.",
            tank = {
                {
                    name = "Tank Buster",
                    phase = 1,
                    description = "Geargrinder udeří tanka, způsobí masivní fyzické poškození, knockback a stackující debuff, který zvyšuje poškození z dalších Tank Buster útoků.",
                    howTo = "Používat defenzivní cooldowny, včas vyměnit tanka. Stát mimo olejové skvrny.",
                    dangerous = "Vysoké stacky znamenají smrt. Knockback tě může hodit do nebezpečné zóny!"
                },
                {
                    name = "Protective Plating",
                    phase = 1,
                    description = "Boss je chráněn silným pancířem, dokud není odstraněn pomocí Blaze of Glory.",
                    howTo = "Pomáhat organizovat použití motorek na odstranění pancíře.",
                    dangerous = "Pokud se Protective Plating neodstraní rychle, boss přejde do Unrelenting CAR-nage!"
                },
            },
            heal = {
                {
                    name = "Exhaust Fumes",
                    phase = 1,
                    description = "Boss vypustí toxický kouř, který způsobuje rostoucí raid-wide poškození po dobu 6 sekund.",
                    howTo = "Použít healing cooldowny, sledovat nárůst poškození a připravit se na intenzivnější léčbu.",
                    dangerous = "Nárůst poškození může být smrtící, pokud není rychle zvládnut!"
                },
                {
                    name = "Backfire",
                    phase = 2,
                    description = "Motor bosse exploduje a způsobuje periodické plošné poškození všem hráčům.",
                    howTo = "Používat raid-wide healing cooldowny a rychle uzdravovat hráče s nízkým zdravím.",
                    dangerous = "Pokud se Backfire kombinuje s Burning Shrapnel, může dojít k rychlému wipu!"
                },
            },
            dps = {
                {
                    name = "Blaze of Glory",
                    phase = 1,
                    description = "Hráči mohou použít motorky poražených bikerů k odstranění Protective Plating bosse.",
                    howTo = "Využít dostupné motorky a správně zamířit na Geargrinder.",
                    dangerous = "Špatné načasování nebo nesprávné zaměření může zpomalit odstranění Protective Plating!"
                },
                {
                    name = "Pit Mechanics Repair",
                    phase = 2,
                    description = "Mechanici opravují Protective Plating bosse, čímž snižují jeho zranitelnost.",
                    howTo = "Rychle eliminovat Pit Mechaniky a přerušovat jejich Repair ability.",
                    dangerous = "Pokud mechanici opraví bosse příliš rychle, fáze Mechanical Breakdown skončí příliš brzy!"
                },
            }
        },
    }
}
addon.data.tactic["Ulgrax the Devourer"] = {
    {
        lfr = {
            summary = "Boj proti Ulgraxovi probíhá ve dvou fázích. V první fázi Ulgrax používá Carnivorous Contest k přitahování hráčů a pokrývá arénu Stalker's Webbing. Jakmile Ulgrax dosáhne nulové energie, vstupuje do fáze Feeding Frenzy, kde způsobuje masivní poškození pomocí Juggernaut Charge a vyžaduje krmení. Hráči musí použít Chunky Viscera k nasycení bosse, než jeho Insatiable Rage dosáhne kritických hodnot.",

            tank = {
                -- Fáze 1
                {
                    name = "Brutal Crush",
                    phase = 1,
                    description = "Ulgrax rozdrtí aktuálního tanka, způsobí masivní fyzické poškození a aplikuje 20 stacků Tenderized.",
                    howTo = "Používat defenzivní cooldowny, včas se střídat s druhým tankem. Vyhnout se dosažení vysokého počtu stacků Tenderized.",
                    dangerous = "Pokud hráč dosáhne příliš vysokého počtu stacků Tenderized, nebude možné ho efektivně léčit."
                },
                -- Fáze 2
                {
                    name = "Ravenous Spawn",
                    phase = 2,
                    description = "Ulgrax přivolává hladové brouky, kteří způsobují Disembowel hráčům, dokud nejsou zničeni.",
                    howTo = "Tankovat brouky mimo hlavní skupinu a minimalizovat jejich zásahy na jednoho hráče.",
                    dangerous = "Pokud brouci zůstanou naživu příliš dlouho, jejich Disembowel stacky mohou rychle zabít hráče."
                }
            },

            heal = {
                -- Fáze 1
                {
                    name = "Digestive Acid",
                    phase = 1,
                    description = "Ulgrax vrhá na hráče Digestive Acid, které způsobuje periodické poškození a při odstranění exploduje.",
                    howTo = "Pečlivě načasovat dispely, aby exploze nezasáhla spojence. Dispelovat poblíž Stalker's Webbing, aby se rozpustilo.",
                    dangerous = "Špatně načasovaný dispel může poškodit spojence a způsobit smrt v přeplněné oblasti."
                },
                -- Fáze 2
                {
                    name = "Hungering Bellows",
                    phase = 2,
                    description = "Ulgrax začne vřeštět v hladovém šílenství, čímž způsobuje neustálé poškození všem hráčům.",
                    howTo = "Používat raid-wide healing cooldowny a rychle obnovovat zdraví hráčům.",
                    dangerous = "Pokud se Ulgrax rychle nenasytí, jeho poškození narůstá do neudržitelné úrovně."
                }
            },

            dps = {
                -- Fáze 1
                {
                    name = "Carnivorous Contest",
                    phase = 1,
                    description = "Ulgrax připoutá hráče k sobě pomocí pavoučích sítí, které je postupně přitahují blíž.",
                    howTo = "Rozdělit poškození mezi všechny hráče v pasti a pomoci jim se uvolnit.",
                    dangerous = "Pokud v pasti uvízne příliš málo hráčů, přitahovací síla je příliš velká a hráči mohou být sežráni."
                },
                {
                    name = "Digestive Acid – Spolupráce s healery",
                    phase = 1,
                    description = "Digestive Acid exploduje při odstranění, což způsobuje velké poškození v okolí.",
                    howTo = "DPS musí dávat pozor na hráče s tímto debuffem a nesmí stát poblíž nich, když je odstraněn.",
                    dangerous = "Pokud se DPS nachází blízko hráče s Digestive Acid při jeho dispelu, utrpí velké poškození."
                },
                -- Fáze 2
                {
                    name = "Chunky Viscera",
                    phase = 2,
                    description = "Při zabití brouků se z nich uvolní kusy masa, které mohou být použity k nakrmení Ulgraxe.",
                    howTo = "Hráči musí sbírat Chunky Viscera a házet je na bosse, aby přestal vřeštět.",
                    dangerous = "Pokud se Ulgrax rychle nenakrmí, Insatiable Rage dosáhne smrtící úrovně a celý raid může zemřít."
                },
                {
                    name = "Hungering Bellows – Spolupráce s healery",
                    phase = 2,
                    description = "Ulgrax začne vřeštět v hladovém šílenství, což způsobuje velké AoE poškození.",
                    howTo = "DPS by mělo být opatrné a umožnit healerům volný pohyb pro efektivní uzdravování.",
                    dangerous = "Pokud se DPS pohybuje chaoticky nebo ignoruje potřeby healerů, může dojít k úmrtí celé skupiny."
                }
            }
        }
    }
}
